﻿define([// Dojo    
        "dojo",
        "dojo/_base/declare",
        //CMS    
        "epi/_Module",
        "epi/dependency",
        "epi/routes"
    ],
    function (
        // Dojo    
        dojo,
        declare,
        //CMS  
        _Module,
        dependency,
        routes
	) {
        return declare("digizuite.DigizuiteInitializeModule", [_Module], {
            // summary: Module initializer for the default module.      
            initialize: function () {
                this.inherited(arguments);
                var registry = this.resolveDependency("epi.storeregistry");
                //Register the store           
                registry.create("digizuite.widgetsearch", this._getRestPath("widgetsearch"));
                registry.create("digizuite.translation", this._getRestPath("translation"));
                registry.create("digi.cms.content.light", routes.getRestPath({ moduleArea: "cms", storeName: "contentstructure" }), { idProperty: "contentLink"});
            }, _getRestPath: function (name) {
                return routes.getRestPath({ moduleArea: "digizuite", storeName: name });
            }
        });
    });